.page404 {
    display: flex;
    align-items: center;
    background-color: #212122;
    min-height: calc(100vh - 237px);
}

.page404-content {
    width: 1200px;
    height: 100%;
    margin: 0 auto;
    position: relative;
}

.page404-img {
    margin-top: -2px;
}

.page404-text {
    color: #ddd;
    text-align: center;
    font-size: 16px;

}

.page404-text-box {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    margin-top: 180px;
}

.page404-btn-box {
    margin-top: 50px;
}

.page404-btn1 {
    padding: 18px 54px;
    box-sizing: border-box;
    text-align: center;
    font-size: 14px;
    color: #333;
    border: 1px solid #ffd33e;
    border-radius: 6px;
    background: #ffd33e;
    cursor: pointer;
    margin-right: 20px;
}

.page404-btn2 {
    padding: 18px 54px;
    box-sizing: border-box;
    text-align: center;
    font-size: 14px;
    cursor: pointer;
    border: 2px solid #5f5f5f;
    color: #ccc;
    border-radius: 6px;
}